using Managing.Domain.Users;

namespace Managing.Application.Abstractions.Services;

public interface IUserService
{
    Task<User> Authenticate(string name, string address, string message, string signature);
    Task<User> GetUserByAddressAsync(string address);
}
